Account - Ohloh API Reference

Avatar
written by Robin Luckey
aug 22 2007

Account

An Account represents an Ohloh member. Some Account data is private, and cannot be accessed through the Ohloh API.

Properties
id
The unique ID for the Account.
name
The public name for this Account.
created_at
The time at which this Account was originally created on Ohloh.
updated_at
The time at which this Account record was last modified.
homepage_url
An optional URL to a member's home page, such as a blog.
avatar_url
A URL to the profile image displayed on Ohloh pages. Currently, this is an URL to the Gravatar free image hosting service, which will resolves to a default image if the account holder is not a Gravatar member. Images are 80x80 by default.
email_sha1
The SHA1 hex digest of the account email address.
posts_count
The number of posts made to the Ohloh forums by this account.
location
An optional text description of this account holder's claimed location. This text has been validated by either the Google or Yahoo geocoder web service, but the precision is variable.
country_code
A string representing the account holder's country. This field is derived from location using either the Google or Yahoo geocoder web service. If you use this data, read the important note below.
latitude
longitude
Floating-point values representing the account's latitude and longitude, suitable for use with the Google Maps API. They are available only when the account has specified a valid location.
kudo_score
If this account has a KudoScore, it will appear here. New accounts may not have a KudoScore. The Ohloh seb site displays these accounts with a default KudoRank of 1.
URL

To get a single Account:

GET http://www.ohloh.net/accounts/{account_id}.xml

You can also retrieve an Account using the MD5 hash of the email address, if you know it:

GET http://www.ohloh.net/accounts/{email_md5_hash}.xml

Read more about email-based queries here.

Collection URL

To get a list of all Accounts:

GET http://www.ohloh.net/accounts.xml

The account collection method supports the standard collection request parameters with the following details:

query
If supplied, only accounts matching the query string will be returned. Only the name field is searched.
sort
Account collections support the following sort options:
created_at
created_at_reverse (default)
id
id_reverse
name
name_reverse
updated_at
updated_at_reverse

A Note About Country Codes

Ohloh preferentially uses the Google Maps API geocoder to resolve location names entered by users. country_code values obtained from the Google Maps API use two-letter abbreviations.

However, Google's coverage is not complete, and not all countries can be resolved. For countries that cannot be resolved by the Google geocoder, Ohloh falls back to the Yahoo geocoder. These countries include the United Kingdom and China. country_code values obtained from Yahoo are full country names, not two-letter abbreviations.

For this reason, there are two data formats intermingled in country_code. Ohloh does not use this data internally, so the data has not been cleaned and unified. Caveat emptor.